Bug 736586 - (ghc-vector) Review Request: ghc-vector - Efficient Arrays for Haskell
Review Request: ghc-vector - Efficient Arrays for Haskell
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: ghc-primitive
Blocks: ghc-vty ghc-snap-core
  Show dependency treegraph
 
Reported: 2011-09-08 03:42 EDT by Jens Petersen
Modified: 2014-01-02 06:34 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-vector-0.7.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 19:02:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-09-08 03:42:48 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-vector/ghc-vector.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-vector/ghc-vector-0.7.1-1.fc15.src.rpm
Description: 
An efficient implementation of Int-indexed arrays (both mutable and immutable), with a powerful loop fusion optimization framework.


vector has well over a hundred reverse deps in hackage:
http://packdeps.haskellers.com/reverse/vector

0.7.* still seems the most popular version and is also required currently by snap.
Comment 1 Michel Alexandre Salim 2011-09-08 11:56:07 EDT
Packaging looks fine; approved (no Koji result as the dependency is not in Rawhide yet)

* TODO Review [100%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
        $ sha1sum ./vector-0.7.1.tar.gz ../SOURCES/vector-0.7.1.tar.gz 
        b047c066c2621f1c4ed210923b490312bfecb73a  ./vector-0.7.1.tar.gz
        b047c066c2621f1c4ed210923b490312bfecb73a  ../SOURCES/vector-0.7.1.tar.gz
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    - [X] on src.rpm
          $ rpmlint ./ghc-vector-0.7.1-1.fc15.src.rpm 
          1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    - [X] on x86_64.rpm
          $ rpmlint ../RPMS/x86_64/ghc-vector-*
          2 packages and 0 specfiles checked; 0 errors, 0 warnings.
  - [X] Language & locale [2/2]
    - [X] Spec in US English
    - [X] Spec legible
  - [X] Build [2/2]
    - [X] BRs complete
    - [X] Directory ownership
  - [X] Spec inspection [7/7]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting RHEL5]])
    - [X] Macro usage consistent
    - [X] Documentation [1/1]
      - [X] %doc files are non-essential
    - [X] Development [2/2]
      - [X] Headers in -devel
      - [X] -devel, -static requires main
Comment 2 Jens Petersen 2011-09-08 22:10:38 EDT
Thank you very much for reviewing. :)


New Package SCM Request
=======================
Package Name: ghc-vector
Short Description: Efficient arrays for Haskell
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2011-09-09 08:38:25 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-09-12 06:38:17 EDT
ghc-vector-0.7.1-1.fc16,ghc-primitive-0.3.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-1.fc16,ghc-primitive-0.3.1-1.fc16
Comment 5 Fedora Update System 2011-09-12 20:09:09 EDT
ghc-vector-0.7.1-1.fc16, ghc-primitive-0.3.1-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 6 Fedora Update System 2011-09-13 21:18:14 EDT
ghc-vector-0.7.1-1.fc15,ghc-primitive-0.3.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-1.fc15,ghc-primitive-0.3.1-2.fc15
Comment 7 Fedora Update System 2011-09-13 21:18:27 EDT
ghc-vector-0.7.1-1.fc14,ghc-primitive-0.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-vector-0.7.1-1.fc14,ghc-primitive-0.3.1-2.fc14
Comment 8 Fedora Update System 2011-09-14 18:34:08 EDT
ghc-vector-0.7.1-1.fc14, ghc-primitive-0.3.1-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 9 Fedora Update System 2011-09-27 19:02:37 EDT
ghc-vector-0.7.1-1.fc15, ghc-primitive-0.3.1-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 10 Fedora Update System 2011-09-27 19:04:32 EDT
ghc-vector-0.7.1-1.fc14, ghc-primitive-0.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 11 Fedora Update System 2011-10-05 13:34:07 EDT
ghc-vector-0.7.1-1.fc16, ghc-primitive-0.3.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-12-25 02:41:17 EST
ghc-primitive-0.4.0.1-1.el6, ghc-vector-0.9.1-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13689/ghc-primitive-0.4.0.1-1.el6,ghc-vector-0.9.1-7.el6
Comment 13 Fedora Update System 2012-12-25 15:09:13 EST
ghc-primitive-0.4.0.1-1.el6, ghc-vector-0.9.1-7.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Jens Petersen 2013-12-27 08:39:08 EST
Package Change Request
======================
Package Name: ghc-vector
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 15 Jens Petersen 2014-01-02 06:34:24 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.